echo off

if not exist duke3d.exe goto error

:menu
cls
echo.
echo """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
echo "                                                                    "
echo "                 DUKE NAVY SEALS ATOMIC WEAPON PATCH ver. 1.1       "
echo "                          by Fussel                                 "
echo "                                                                    "
echo """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
echo.
echo                        1 Install the Duke Navy SEALs Weapon Patch
echo                        2 Uninstall the Duke Navy SEALs Weapon Patch
echo                        3 Play the patch
echo                        4 Go to setup
echo                        5 read the readme file
echo                        6 Go home
echo.

if exist navy.on  echo  Navy Seals Patch is installed
if exist navy.off echo  Navy Seals Patch is not installed

choice /c:123456

if errorlevel 6 goto gohome
if errorlevel 5 goto readme
if errorlevel 4 goto setup
if errorlevel 3 goto play
if errorlevel 2 goto uninstall
if errorlevel 1 goto install

:error
echo.
echo Copy the files in your right Duke directory 
echo.
goto end

:gohome
goto end

:readme
type readnav.txt |more
pause
goto menu

:ghelieb
echo.
echo NAVY SEALs WEAPON PATCH IS ALREADY INSTALLED!!!
echo.
pause
goto menu

:uninstall
if exist navy.off goto ghelieb
echo. 
echo  ARE YOU SURE THAT YOU WANT TO DELETE THE NAVY SEALS WEAPON PATCH ??
echo.
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto byebye2

:byebye2
cls
echo.
echo   UNINSTALLING NAVY SEALS WEAPON PATCH
echo   CTRL+BREAK to stop it
echo.

del 1.voc
del 2.voc
del 3.voc
del 4.voc
del 5.voc
del 6.voc
del 7.voc
del 8.voc
del tiles009.art
del tiles010.art
del tiles006.art

del game.con
del navyuser.con
del navydefs.con
del readnav.txt

if exist gameold.bak rename gameold.bak game.con
if exist told006.bak rename told006.bak tiles006.art
if exist told009.bak rename told009.bak tiles009.art
if exist told010.bak rename told010.bak tiles010.art
rename nsatomic.exe nsatomic.no 
rename navy.on navy.off

echo.
echo NAVY SEALS WEAPON PATCH SUCCESSFULLY UNINSTALLED!!!
echo IF YOU WANT TO DELETE ALL FILES FROM YOUR HARD DISK
echo DELETE nsatomic.no and nsatomic.zip navy.bat and navy.off
echo.
goto end

:ghlieb1
echo.
echo YOU HAVE ALREADY INSTALLED NAVY SEALS WEAPON PATCH!!!
echo.
pause
goto menu

:install
if exist navy.on goto ghlieb1
cls
echo.
echo  INSTALLING NAVY SEALS WEAPON PATCH
echo  CTRL+BREAK to stop
echo.
pause

echo the file is now making backups of existing double files
echo.

if exist game.con rename game.con gameold.bak
if exist tiles006.art rename tiles006.art told006.bak
if exist tiles009.art rename tiles009.art told009.bak 
if exist tiles010.art rename tiles010.art told010.bak 

rename nsatomic.no nsatomic.exe

nsatomic.exe

echo Done.
echo.
rename navy.off navy.on
echo INSTALLATION COMPLETE
echo.

cls
echo.
echo  if you want to play it over network (deathmatch/modem) 
echo  all players must have the NAVY SEALS WEAPON PATCH INSTALLED
pause
echo.

goto menu

:play
duke3d.exe
goto menu

:setup
setup.exe
goto menu

:end
echo.
echo NAVY SEALS WEAPON PATCH for DUKE MADE BY FUSSEL
echo VISIT THE OUTER LIMITS SITE 
echo http://OLteam.gagames.com/
echo OLteam@h.o.i.8m.com
echo.
echo COMING THIS SUMMER RUSSIAN OVERKILL TC
echo.